Xapian::LatLongCoordsIterator Class Reference

An iterator across the values in a LatLongCoords object. More...

`#include <geospatial.h>`

## Public Member Functions

| LatLongCoordsIterator ()
| Default constructor. Produces an uninitialised iterator.
const LatLongCoord & | operator* () const
| Get the LatLongCoord for the current position.
LatLongCoordsIterator & | operator++ ()
| Advance the iterator to the next position.
DerefWrapper_< LatLongCoord > | operator++ (int)
| Advance the iterator to the next position (postfix version).
bool | operator== (const LatLongCoordsIterator &other) const
| Equality test for LatLongCoordsIterator objects.

## Detailed Description

An iterator across the values in a LatLongCoords object.

Experimental - see https://xapian.org/docs/deprecation#experimental-features

The documentation for this class was generated from the following file:

- xapian/geospatial.h